Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class GenericDrug

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.GenericDrug

- All Implemented Interfaces:
    `java.io.Serializable`

      public class GenericDrug
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    root `GenericDrug` contains detail information about Clinical Drug
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericDrug()` |
    `GenericDrug​(java.lang.String genericId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<GenericCompositionDetails>` | `getComposition()` |
    `java.util.Set<CompositionDetail>` | `getCompositionDetails()` |
    `java.lang.String` | `getContraIndications()` |
    `java.util.Date` | `getDateOfCreation()` |
    `java.util.Date` | `getDateOfModification()` |
    `java.lang.String` | `getDoseForm()` |
    `java.lang.String` | `getDoseFormSctid()` |
    `java.util.Set<DrugType>` | `getDrugTypes()` |
    `java.util.Set<GenericDescription>` | `getGenericDescriptions()` |
    `java.util.Set<GenericDrugtypeInfo>` | `getGenericDrugtypeInfos()` |
    `java.lang.String` | `getGenericId()` |
    `java.lang.String` | `getGenericSctid()` |
    `java.util.Set<DrugType>` | `getIndexDrugTypeList()` |
    `java.util.Set<java.lang.String>` | `getIndexSubstanceList()` |
    `java.lang.String` | `getIndications()` |
    `java.util.Set<MedicineDetail>` | `getMedicineDetails()` |
    `RecordStatus` | `getRecordStatus()` |
    `java.lang.String` | `getRouteOfAdministration()` |
    `java.lang.String` | `getRouteOfAdministrationSctid()` |
    `int` | `getVersion()` |
    `void` | `setComposition​(java.util.Set<GenericCompositionDetails> composition)` |
    `void` | `setCompositionDetails​(java.util.Set<CompositionDetail> compositionDetails)` |
    `void` | `setContraIndications​(java.lang.String contraIndications)` |
    `void` | `setDateOfCreation​(java.util.Date dateOfCreation)` |
    `void` | `setDateOfModification​(java.util.Date dateOfModification)` |
    `void` | `setDoseForm​(java.lang.String doseForm)` |
    `void` | `setDoseFormSctid​(java.lang.String doseFormSctid)` |
    `void` | `setDrugTypes​(java.util.Set<DrugType> drugTypes)` |
    `void` | `setGenericDescriptions​(java.util.Set<GenericDescription> genericDescriptions)` |
    `void` | `setGenericDrugtypeInfos​(java.util.Set<GenericDrugtypeInfo> genericDrugtypeInfos)` |
    `void` | `setGenericId​(java.lang.String genericId)` |
    `void` | `setGenericSctid​(java.lang.String genericSctid)` |
    `void` | `setIndexDrugTypeList​(java.util.Set<DrugType> indexDrugTypeList)` |
    `void` | `setIndexSubstanceList​(java.util.Set<java.lang.String> indexSubstanceList)` |
    `void` | `setIndications​(java.lang.String indications)` |
    `void` | `setMedicineDetails​(java.util.Set<MedicineDetail> medicineDetails)` |
    `void` | `setRecordStatus​(RecordStatus recordStatus)` |
    `void` | `setRouteOfAdministration​(java.lang.String routeOfAdministration)` |
    `void` | `setRouteOfAdministrationSctid​(java.lang.String routeOfAdministrationSctid)` |
    `void` | `setVersion​(int version)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericDrug

          public GenericDrug()

    - #### GenericDrug

          public GenericDrug​(java.lang.String genericId)

  - ### Method Detail

    - #### getIndexDrugTypeList

          public java.util.Set<DrugType> getIndexDrugTypeList()

    - #### setIndexDrugTypeList

          public void setIndexDrugTypeList​(java.util.Set<DrugType> indexDrugTypeList)

    - #### getIndexSubstanceList

          public java.util.Set<java.lang.String> getIndexSubstanceList()

    - #### setIndexSubstanceList

          public void setIndexSubstanceList​(java.util.Set<java.lang.String> indexSubstanceList)

    - #### getDateOfCreation

          public java.util.Date getDateOfCreation()

    - #### setDateOfCreation

          public void setDateOfCreation​(java.util.Date dateOfCreation)

    - #### getGenericDescriptions

          public java.util.Set<GenericDescription> getGenericDescriptions()

    - #### setGenericDescriptions

          public void setGenericDescriptions​(java.util.Set<GenericDescription> genericDescriptions)

    - #### getDateOfModification

          public java.util.Date getDateOfModification()

    - #### setDateOfModification

          public void setDateOfModification​(java.util.Date dateOfModification)

    - #### getGenericId

          public java.lang.String getGenericId()

    - #### setGenericId

          public void setGenericId​(java.lang.String genericId)

    - #### getContraIndications

          public java.lang.String getContraIndications()

    - #### setContraIndications

          public void setContraIndications​(java.lang.String contraIndications)

    - #### getDoseForm

          public java.lang.String getDoseForm()

    - #### setDoseForm

          public void setDoseForm​(java.lang.String doseForm)

    - #### getDoseFormSctid

          public java.lang.String getDoseFormSctid()

    - #### setDoseFormSctid

          public void setDoseFormSctid​(java.lang.String doseFormSctid)

    - #### getGenericSctid

          public java.lang.String getGenericSctid()

    - #### setGenericSctid

          public void setGenericSctid​(java.lang.String genericSctid)

    - #### getIndications

          public java.lang.String getIndications()

    - #### setIndications

          public void setIndications​(java.lang.String indications)

    - #### getRouteOfAdministration

          public java.lang.String getRouteOfAdministration()

    - #### setRouteOfAdministration

          public void setRouteOfAdministration​(java.lang.String routeOfAdministration)

    - #### getDrugTypes

          public java.util.Set<DrugType> getDrugTypes()

    - #### getComposition

          public java.util.Set<GenericCompositionDetails> getComposition()

    - #### setComposition

          public void setComposition​(java.util.Set<GenericCompositionDetails> composition)

    - #### setDrugTypes

          public void setDrugTypes​(java.util.Set<DrugType> drugTypes)

    - #### getRouteOfAdministrationSctid

          public java.lang.String getRouteOfAdministrationSctid()

    - #### setRouteOfAdministrationSctid

          public void setRouteOfAdministrationSctid​(java.lang.String routeOfAdministrationSctid)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion​(int version)

    - #### getMedicineDetails

          public java.util.Set<MedicineDetail> getMedicineDetails()

    - #### setMedicineDetails

          public void setMedicineDetails​(java.util.Set<MedicineDetail> medicineDetails)

    - #### getCompositionDetails

          public java.util.Set<CompositionDetail> getCompositionDetails()

    - #### setCompositionDetails

          public void setCompositionDetails​(java.util.Set<CompositionDetail> compositionDetails)

    - #### getRecordStatus

          public RecordStatus getRecordStatus()

    - #### setRecordStatus

          public void setRecordStatus​(RecordStatus recordStatus)

    - #### getGenericDrugtypeInfos

          public java.util.Set<GenericDrugtypeInfo> getGenericDrugtypeInfos()

    - #### setGenericDrugtypeInfos

          public void setGenericDrugtypeInfos​(java.util.Set<GenericDrugtypeInfo> genericDrugtypeInfos)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`